[![BabelCraft Legacy][Project Logo]][Website] Legacy
====================================================
Automatic chat translation plugin and API for Bukkit-based Minecraft servers.

Copyright (c) 2011-2012, CraftFire <<http://www.craftfire.com/>>  
[![][Author Logo]][Website]

Who is CraftFire?
-----------------
CraftFire is the team behind the AuthAPI, AuthDB, BabelCraft, CraftCommons, and TextWrap projects.  
[![Wulfspider](https://secure.gravatar.com/avatar/6f2a0dcb60cd1ebee57875f9326bc98c?d=mm&r=pg&s=48)](http://forums.spout.org/members/wulfspider/) [![Contex](https://secure.gravatar.com/avatar/ab34f58825a956a975f1a3dcdf97a173?d=mm&r=pg&s=48)](http://forums.spout.org/members/contex/) 

Visit our [website][Website] or get support on our [forum thread][Forums].  
Track and submit issues and bugs on our [issue tracker][Issues].

[![Follow us on Twitter][Twitter Logo]][Twitter][![Like us on Facebook][Facebook Logo]][Facebook][![Donate][Donate Logo]][Donate]

Source
------
The latest and greatest source can be found on [GitHub].  
Download the latest builds from [Jenkins].    [![Build Status](http://build.craftfire.com/job/BabelCraft%20Legacy/badge/icon)][Jenkins]

License
-------
BabelCraft Legacy is licensed under the GNU Lesser General Public License Version 3.

Compiling
---------
BabelCraft Legacy uses Maven to handle its dependencies.

* Install [Maven 2 or 3](http://maven.apache.org/download.html)
* Checkout this repo and run: `mvn clean install`

Coding and Pull Request Conventions
-----------------------------------
* Generally follow the Oracle coding standards.
* Use spaces, no tabs.
* No trailing whitespaces.
* 80 column limit for readability.
* Pull requests must compile, work, and be formatted properly.
* Sign-off on ALL your commits - this indicates you agree to the terms of our license.
* No merges should be included in pull requests unless the pull request's purpose is a merge.
* Number of commits in a pull request should be kept to *one commit* and all additional commits must be *squashed*.
* You may have more than one commit in a pull request if the commits are separate changes, otherwise squash them.

**Please follow the above conventions if you want your pull request(s) accepted.**

[Project Logo]: http://cdn.craftfire.com/img/logo/babelcraft_230x38.png
[Author Logo]: http://cdn.craftfire.com/img/logo/craftfire_150x38.png
[License]: http://www.gnu.org/licenses/lgpl.html
[Website]: http://www.craftfire.com
[Forum]: http://forums.bukkit.org/threads/10839/
[GitHub]: https://github.com/CraftFire/BabelCraft-Legacy
[Jenkins]: http://buils.craftfire.com/job/BabelCraft%20Legacy
[Issues]: https://issues.craftfire.com
[Twitter]: http://twitter.com/CraftFireDev
[Twitter Logo]: http://cdn.spout.org/img/button/twitter_follow_us.png
[Facebook]: http://facebook.com/CraftFire
[Facebook Logo]: http://cdn.spout.org/img/button/facebook_like_us.png
[Donation]: https://www.paypal.com/cgi-bin/webscr?hosted_button_id=QNJH72R72TZ64&item_name=BabelCraft+Legacy+%28from+github.com%29&cmd=_s-xclick
[Donation Logo]: http://cdn.spout.org/img/button/donate_paypal_96x96.png
